using System;

namespace CvrstiBrojevi
{
    class Program
    {
        static void Main(string[] args)
        {
            float broj = float.Parse(Console.ReadLine());
            int brojCifara = broj.ToString().Length;
            float[] cifra = new float[brojCifara];           
            
            for (int i = 0; i < brojCifara; i++)
            {
                cifra[i] = (int)broj % 10;
                broj /= 10;            
            }
            string parNepar = "";
            if (brojCifara%2 == 0)
            {
                parNepar = "par";
            }
            else
            {
                parNepar = "nepar";
            }           
            int parovi = 0;
            Array.Sort(cifra);
            float[] manjeVece = cifra;
            Array.Reverse(cifra);
            float[] veceManje = cifra;
            
            
            
            

            int prethodni = 0;
            int y = 0;
            
            for (int i = 0; i < brojCifara-1; i++)
            {
                
                
                if (cifra[i] == cifra[i+1])
                {
                    
                    prethodni += parovi;
                    parovi++;
                    
                } 
                if (prethodni != parovi)
                {
                    i++;
                    y++;
                }
            }
            
            
            
            if (parNepar == "par")
            {
                if (brojCifara - parovi*2 == 0)
                {
                    Console.WriteLine(0);
                }
                else  
                {
                    int izlaz = brojCifara - parovi * 2;
                    izlaz = izlaz /2;
                    Console.WriteLine(izlaz);
                }
            }
            
            else
            {
                int izlaz;
                int nespareniBrojevi = brojCifara - parovi * 2;
                if (nespareniBrojevi == 1) 
                {
                    izlaz = 0;
                }
                else
                {
                    izlaz = nespareniBrojevi - 1;
                }
                
                Console.WriteLine(izlaz);
            }
           

        }
    }
}